×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Mar 2004
    Posts
    22

    Determining Version # on Series 60 2.x, 1.x

    Hello,

    I'm trying to build an application that runs both on Series 60 1.x and Series 60 2.x handsets. When it runs on the 2.x handsets, I want it to use certain features present in 2.x that are not present in 1.x, such as RHttpSession.

    How can I determine whether my app is running on 2.x or 1.x?

    I have tried using User::Version, SysUtil::GetSW, PlpVariant::Version, and SysUtil::GetSWVersion. However, on the 2.1 emulator, these always return 1.x values, or no value at all. This makes it difficult to determine whether the app will run properly on the handsets.

  2. #2
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,167
    you basically need to identify the phone version and then you need to know which phone has which OS version.

    For identifying the phone see this:

    http://www.newlc.com/article.php3?id_article=161

    yucca

  3. #3
    Registered User
    Join Date
    Mar 2004
    Posts
    22

    What about future handsets?

    That is a somewhat viable workaround-- however, it isn't future-proof. What UID will the Nokia 7610 have, for instance?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×